import { recursivelyObservable } from "./observable.js";
import { SqliteState } from "./sqlite.js";
export function state(ctx, name, initialState) {
    const state = new SqliteState(name, ctx.storage);
    const data = state.resume(initialState);
    return recursivelyObservable(data, {
        onUpdate(changes, data) {
            state.appendChanges(changes);
            state.snapshot(data);
        },
    });
}
